Bug 955629 - (CVE-2013-1979) CVE-2013-1979 kernel: net: incorrect SCM_CREDENTIALS passing
CVE-2013-1979 kernel: net: incorrect SCM_CREDENTIALS passing
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20130423,repo...
: Security
Depends On: 955630 955631 955647
Blocks: 955634
  Show dependency treegraph
 
Reported: 2013-04-23 08:30 EDT by Petr Matousek
Modified: 2015-07-31 07:48 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 08:32:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 816708 None None None Never

  None (edit)
Description Petr Matousek 2013-04-23 08:30:31 EDT
Commit 257b5358b32f ("scm: Capture the full credentials of the scm sender") changed the credentials passing code to pass in the effective uid/gid instead of the real uid/gid.

Obviously this doesn't matter most of the time (since normally they are the same), but it results in differences for suid binaries when the wrong uid/gid ends up being used. 

An unprivileged local user could use this flaw to elevate their privileges.

Upstream fix:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=83f1b4ba917db5dc5a061a44b3403ddb6e783494

Acknowledgements:

Red Hat would like to thank Andy Lutomirski for reporting this issue.
Comment 3 Petr Matousek 2013-04-23 08:39:07 EDT
Statement:

This issue did not affect the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5 and 6.

This issue was addressed in Red Hat Enterprise MRG 2 via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html
Comment 5 Jan Lieskovsky 2013-04-23 08:53:42 EDT
Other references:
  http://www.mail-archive.com/stable@vger.kernel.org/msg38503.html
Comment 7 Petr Matousek 2013-04-23 09:04:21 EDT
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 955647]
Comment 8 Fedora Update System 2013-04-26 20:07:18 EDT
kernel-3.8.8-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-05-03 20:08:51 EDT
kernel-3.8.11-100.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 errata-xmlrpc 2013-05-20 12:56:27 EDT
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html

Note You need to log in before you can comment on or make changes to this bug.